<?xml version="1.0" encoding="UTF-8"?>

<!--
 * 
 * This help file was generated from svmpredict.sci using help_from_sci().
 * 
 -->

<refentry version="5.0-subset Scilab" xml:id="svmpredict" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">


  <refnamediv>
    <refname>svmpredict</refname><refpurpose>Does prediction for a calculated svm model</refpurpose>
  </refnamediv>



<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   [predicted_label, accuracy, decision_values] = svmpredict(testing_label_vector, testing_instance_matrix, model)
   [predicted_label, accuracy, decision_values] = svmpredict(testing_label_vector, testing_instance_matrix, model, 'libsvm_options')
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>model:</term>
      <listitem><para> SVM model structure from svmtrain.</para></listitem></varlistentry>
   <varlistentry><term>libsvm_options:</term>
      <listitem><para>-b probability_estimates: whether to predict probability estimates, 0 or 1 (default 0); one-class SVM not supported yet</para></listitem></varlistentry>
   <varlistentry><term>predicted_label:</term>
      <listitem><para> SVM prediction output vector</para></listitem></varlistentry>
   <varlistentry><term>accuracy:</term>
      <listitem><para> a vector with accuracy, mean squared error, squared correlation coefficient.</para></listitem></varlistentry>
   <varlistentry><term>prob_estimates:</term>
      <listitem><para> If selected, probability estimate vector</para></listitem></varlistentry>
   </variablelist>
</refsection>
</refentry>
